- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Xapian::MatchDecider Class Reference

Base class for matcher decision functor. More...

`#include <enquire.h>`

Inheritance diagram for Xapian::MatchDecider:

[legend]
List of all members.

## Public Member Functions
virtual bool | operator() (const Xapian::Document &doc) const=0
| Decide whether we want this document to be in the MSet.
virtual | ~MatchDecider ()
| Destructor.

## Detailed Description

Base class for matcher decision functor.

## Constructor & Destructor Documentation

virtual Xapian::MatchDecider::~MatchDecider | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool Xapian::MatchDecider::operator() | ( | const Xapian::Document & | doc | ) | const`[pure virtual]`

Decide whether we want this document to be in the MSet.

Return true if the document is acceptable, or false if the document should be excluded from the MSet.

Implemented in Xapian::MultipleMatchDecider, Xapian::ValueCountMatchSpy, and Xapian::TermCountMatchSpy.

The documentation for this class was generated from the following file:

- include/xapian/enquire.h